For the complete documentation index, see llms.txt. This page is also available as Markdown.

JWT

JWT creation and validation for the 3DS Client SDK. Creates a signed JWT used as the authentication handshake between the merchant and the 3DS SDK, and validates the JWT returned after the consumer authentication.

Create a JWT for 3DS Client SDK

post
/v2/jwt/create

The API creates a JSON Web Token (JWT) which is then used as a method of authentication between the merchant and the 3DS Client SDK.

Authorizations
AuthorizationstringRequired

JWT Bearer token. Pass as: Authorization: Bearer <token>. The JWT must be signed with your Verifone-provisioned private key and must include entity_id, sub (user_id), and roles claims.

Body
threeds_contract_idstringRequired

The ID of the threeDSContractId used.

Example: cfbdce5a-2604-4ab5-b959-90ae2854d281
Responses
201

Created

application/json
jwtstringRequired

JWT to handle authentication

Example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJjNmZjZGU3NS02M2MxLTRiMDktODA4MS0xYjdmMGUyZDQ2MmMiLCJpc3MiOiI1ZDEyMmU1OGMxYjQxMjI5M2MwYTUwZDIiLCJPcmdVbml0SWQiOiI1ZDExMmJjMWJiODc2ODIyNDBmOGRjMGQiLCJQYXlsb2FkIjp7fSwiaWF0IjoxNzE1MTgwMDk5fQ.yfNWLd2ssMoUpJt2QOUhf9p1B3dcl0xFOeaPYi8MUxI
threeds_contract_idstringRequired

The ID of the threeDSContractId used.

Example: 7076974d-04b9-4375-9814-e9313f6bd036
post
/v2/jwt/create

Validate a JWT for 3DS Client SDK

post
/v2/jwt/validate

The API validates the JSON Web Token (JWT) and returns the consumer authentication outcome to the merchant.

Authorizations
AuthorizationstringRequired

JWT Bearer token. Pass as: Authorization: Bearer <token>. The JWT must be signed with your Verifone-provisioned private key and must include entity_id, sub (user_id), and roles claims.

Body
authentication_idstringRequired

Authentication ID for completing the 3D Secure flow. To complete the transaction, the value is required to be passed on the Authenticate message to link the Lookup and Authenticate message together.

Example: 8894172e-52b2-4815-82da-ca3c5f005268
jwtstringRequired

JWT with authentication details.

Example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJjNmZjZGU3NS02M2MxLTRiMDktODA4MS0xYjdmMGUyZDQ2MmMiLCJpc3MiOiI1ZDEyMmU1OGMxYjQxMjI5M2MwYTUwZDIiLCJPcmdVbml0SWQiOiI1ZDExMmJjMWJiODc2ODIyNDBmOGRjMGQiLCJQYXlsb2FkIjp7fSwiaWF0IjoxNzE1MTgwMDk5fQ.yfNWLd2ssMoUpJt2QOUhf9p1B3dcl0xFOeaPYi8MUxI
threeds_contract_idstringRequired

The ID of the threeDSContractId used.

Example: af8f5e0d-799d-4421-a8ee-04002a15af53
Responses
201

Created

application/json
authentication_idstringRequired

Authentication ID for completing the 3D Secure flow. To complete the transaction, the value is required to be passed on the Authenticate message to link the Lookup and Authenticate message together.

Example: 8894172e-52b2-4815-82da-ca3c5f005268
action_codestringRequired

The resulting state of the transaction

error_nostringRequired

Application error number(s). A non-zero value represents the error encountered while attempting to process the message request. NOTE: Multiple error numbers are separated by a comma.

Example: 0
error_descstringRequired

Application error description for the associated error number(s). NOTE: Multiple error descriptions are separated by a comma.

Example: Error Processing Message Request
post
/v2/jwt/validate

Last updated

Was this helpful?